> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embeddables.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entry Events

> Retrieve all events for entry from the database based on the ID



## OpenAPI

````yaml GET /projects/{projectId}/entries/{entryId}/events
openapi: 3.0.1
info:
  title: api
  version: 0.0.1
servers:
  - url: https://api.embeddables.com
    description: Production
security: []
paths:
  /projects/{projectId}/entries/{entryId}/events:
    get:
      tags:
        - Entries
      description: Retrieve all events for entry from the database based on the ID
      operationId: entries_getEntryEvents
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ProjectId'
          examples:
            Example1:
              value: pr_myexampleproject
            Example2:
              value: pr_myexampleproject
            Example3:
              value: pr_myexampleproject
        - name: entryId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EntryId'
          examples:
            Example1:
              value: entry_myexampleentry
            Example2:
              value: entry_doesnotexist
            Example3:
              value: entry_doesnotexist
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Limit'
            nullable: true
        - name: direction
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Direction'
            nullable: true
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
          examples:
            Example1:
              value: rk_myexampleapikey
            Example2:
              value: rk_incorrectkey
            Example3:
              value: rk_myexampleapikey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Event'
              examples:
                Example1:
                  value:
                    - entry_id: entry_myexampleentry
                      contact_id: contact_myexamplecontact
                      project_id: pr_myexampleproject
                      group_id: group_myexamplegroup
                      embeddable_id: flow_myexampleflow
                      embeddable_version_number: 1
                      timestamp: '2022-01-01T00:00:00Z'
                      page_id: page_myexamplepageid1
                      page_key: page_myexamplepagekey1
                      page_index: 1
                      max_page_id: page_myexamplemaxpageid2
                      max_page_key: page_myexamplemaxpagekey2
                      max_page_index: 2
                      total_pages: 3
                      event_type: flowpage.viewed
                      view_type: flowpage
                      custom_event_name: my_custom_event
                      custom_event_props: '{ "key": "value" }'
                    - entry_id: entry_myexampleentry
                      contact_id: contact_myexamplecontact
                      project_id: pr_myexampleproject
                      group_id: group_myexamplegroup
                      embeddable_id: flow_myexampleflow
                      embeddable_version_number: 1
                      timestamp: '2022-01-01T00:01:00Z'
                      page_id: page_myexamplepageid2
                      page_key: page_myexamplepagekey2
                      page_index: 2
                      max_page_id: page_myexamplemaxpageid2
                      max_page_key: page_myexamplemaxpagekey2
                      max_page_index: 2
                      total_pages: 3
                      event_type: flowpage.viewed
                      view_type: flowpage
                      custom_event_name: my_custom_event
                      custom_event_props: '{ "key": "value" }'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: unauthorized
                      message: >-
                        You are not authorized to access this project with the
                        API key provided.
                    projectId: pr_myexampleproject
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntryNotFoundErrorBody'
              examples:
                Example1:
                  value:
                    error:
                      code: entry_not_found
                      message: >-
                        The entry with the specified ID does not exist or you
                        don't have permission to access it.
                    entryId: entry_doesnotexist
components:
  schemas:
    ProjectId:
      title: ProjectId
      type: string
      description: The unique identifier for a Project in the database
    EntryId:
      title: EntryId
      type: string
      description: The unique identifier for an Entry in the database
    Limit:
      title: Limit
      type: integer
      description: The number of entries to return (defaults to 10).
    Direction:
      title: Direction
      type: string
      enum:
        - ASC
        - DESC
      description: The direction to sort by (defaults to DESC)
    Event:
      title: Event
      type: object
      properties:
        entry_id:
          $ref: '#/components/schemas/EntryId'
        contact_id:
          $ref: '#/components/schemas/ContactId'
        project_id:
          $ref: '#/components/schemas/ProjectId'
        group_id:
          $ref: '#/components/schemas/GroupId'
        embeddable_id:
          $ref: '#/components/schemas/EmbeddableId'
        embeddable_version_number:
          $ref: '#/components/schemas/EmbeddableVersionNumber'
          nullable: true
        timestamp:
          $ref: '#/components/schemas/DateTime'
        page_id:
          $ref: '#/components/schemas/PageId'
          nullable: true
        page_key:
          $ref: '#/components/schemas/PageKey'
          nullable: true
        page_index:
          $ref: '#/components/schemas/PageIndex'
          nullable: true
        max_page_id:
          $ref: '#/components/schemas/PageId'
          nullable: true
        max_page_key:
          $ref: '#/components/schemas/PageKey'
          nullable: true
        max_page_index:
          $ref: '#/components/schemas/PageIndex'
          nullable: true
        total_pages:
          type: integer
          nullable: true
        event_type:
          $ref: '#/components/schemas/EventType'
        view_type:
          $ref: '#/components/schemas/ViewType'
          nullable: true
        custom_event_name:
          type: string
          nullable: true
        custom_event_props:
          type: string
          nullable: true
      required:
        - entry_id
        - contact_id
        - project_id
        - group_id
        - embeddable_id
        - timestamp
        - event_type
    UnauthorizedErrorBody:
      title: UnauthorizedErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        projectId:
          $ref: '#/components/schemas/ProjectId'
      required:
        - error
        - projectId
    EntryNotFoundErrorBody:
      title: EntryNotFoundErrorBody
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        entryId:
          $ref: '#/components/schemas/EntryId'
          nullable: true
      required:
        - error
    ContactId:
      title: ContactId
      type: string
      description: The unique identifier for a Contact in the database
    GroupId:
      title: GroupId
      type: string
      description: The unique identifier for a Group in the database
    EmbeddableId:
      title: EmbeddableId
      type: string
      description: The unique identifier for a Embeddable in the database
    EmbeddableVersionNumber:
      title: EmbeddableVersionNumber
      type: integer
      description: The version number of an embeddable
    DateTime:
      title: DateTime
      type: string
      description: A Date + Time string in ISO format
    PageId:
      title: PageId
      type: string
    PageKey:
      title: PageKey
      type: string
    PageIndex:
      title: PageIndex
      type: integer
    EventType:
      title: EventType
      type: string
    ViewType:
      title: ViewType
      type: string
    ErrorBody:
      title: ErrorBody
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message

````